Index: trunk/SophyaLib/SysTools/Makefile
===================================================================
--- trunk/SophyaLib/SysTools/Makefile	(revision 2510)
+++ trunk/SophyaLib/SysTools/Makefile	(revision 2743)
@@ -1,58 +1,82 @@
-include ../Mgr/Makefile.h
+include ../BuildMgr/sophyamake.inc
  
-all: $(LIB)libSysTools.a
+all: $(SOPHYALIBP)libSysTools.a
+ 
 clean:
-	rm -f $(OBJ)cexpre.o $(OBJ)commander.o $(OBJ)ctimer.o $(OBJ)cxxcmplnk.o $(OBJ)pdlmgr.o $(OBJ)periodic.o $(OBJ)psighand.o $(OBJ)resusage.o $(OBJ)rpneval.o $(OBJ)zthread.o $(OBJ)timing.o
-	rm -f $(LIB)libSysTools.a
-$(LIB)libSysTools.a : $(OBJ)cexpre.o $(OBJ)commander.o $(OBJ)ctimer.o $(OBJ)cxxcmplnk.o $(OBJ)pdlmgr.o $(OBJ)periodic.o $(OBJ)psighand.o $(OBJ)resusage.o $(OBJ)rpneval.o $(OBJ)timing.o $(OBJ)zthread.o
-	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
-ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
-endif 
+	 rm -f $(SOPHYAOBJP)cexpre.o $(SOPHYAOBJP)commander.o $(SOPHYAOBJP)ctimer.o $(SOPHYAOBJP)cxxcmplnk.o $(SOPHYAOBJP)pdlmgr.o $(SOPHYAOBJP)periodic.o $(SOPHYAOBJP)psighand.o $(SOPHYAOBJP)resusage.o $(SOPHYAOBJP)rpneval.o $(SOPHYAOBJP)zthread.o $(SOPHYAOBJP)timing.o
+	rm -f $(SOPHYALIBP)libSysTools.a
  
-$(OBJ)cexpre.o: cexpre.cc cexpre.h $(INC)machdefs.h \
-  $(INC)osx_values.h \
-  $(INC)pexceptions.h
-$(OBJ)commander.o: commander.cc commander.h \
-  $(INC)machdefs.h \
-  $(INC)osx_values.h pdlmgr.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)mutyv.h ctimer.h \
-  $(INC)strutil.h \
-  $(INC)strutilxx.h \
-  $(INC)srandgen.h
-$(OBJ)ctimer.o: ctimer.cc $(INC)machdefs.h \
-  $(INC)osx_values.h ctimer.h
-$(OBJ)cxxcmplnk.o: cxxcmplnk.cc cxxcmplnk.h \
-  $(INC)machdefs.h \
-  $(INC)osx_values.h
-$(OBJ)pdlmgr.o: pdlmgr.cc $(INC)machdefs.h \
-  $(INC)osx_values.h pdlmgr.h
-$(OBJ)periodic.o: periodic.cc $(INC)machdefs.h \
-  $(INC)osx_values.h periodic.h
-$(OBJ)psighand.o: psighand.cc psighand.h \
-  $(INC)machdefs.h \
-  $(INC)osx_values.h \
-  $(INC)pexceptions.h
-$(OBJ)resusage.o: resusage.cc resusage.h \
-  $(INC)machdefs.h \
-  $(INC)osx_values.h
-$(OBJ)rpneval.o: rpneval.cc rpneval.h \
-  $(INC)machdefs.h \
-  $(INC)osx_values.h \
-  $(INC)pexceptions.h \
-  $(INC)strutilxx.h \
-  $(INC)srandgen.h
-$(OBJ)zthread.o: zthread.cc zthread.h \
-  $(INC)machdefs.h \
-  $(INC)osx_values.h \
-  $(INC)pexceptions.h
-$(OBJ)timing.o: timing.c timing.h
+$(SOPHYALIBP)libSysTools.a : $(SOPHYAOBJP)cexpre.o $(SOPHYAOBJP)commander.o $(SOPHYAOBJP)ctimer.o $(SOPHYAOBJP)cxxcmplnk.o $(SOPHYAOBJP)pdlmgr.o $(SOPHYAOBJP)periodic.o $(SOPHYAOBJP)psighand.o $(SOPHYAOBJP)resusage.o $(SOPHYAOBJP)rpneval.o $(SOPHYAOBJP)timing.o $(SOPHYAOBJP)zthread.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)cexpre.o: cexpre.cc $(SOPHYAINCP)sopnamsp.h \
+  cexpre.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)srandgen.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)commander.o: commander.cc \
+  $(SOPHYAINCP)sopnamsp.h commander.h \
+  $(SOPHYAINCP)machdefs.h pdlmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h ctimer.h \
+  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)strutilxx.h cexpre.h \
+  rpneval.h $(SOPHYAINCP)srandgen.h \
+  zthread.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ctimer.o: ctimer.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h ctimer.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc \
+  $(SOPHYAINCP)sopnamsp.h cxxcmplnk.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h pdlmgr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)periodic.o: periodic.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h periodic.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)psighand.o: psighand.cc \
+  $(SOPHYAINCP)sopnamsp.h psighand.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)resusage.o: resusage.cc \
+  $(SOPHYAINCP)sopnamsp.h resusage.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)rpneval.o: rpneval.cc \
+  $(SOPHYAINCP)sopnamsp.h rpneval.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)strutilxx.h \
+  $(SOPHYAINCP)srandgen.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)zthread.o: zthread.cc \
+  $(SOPHYAINCP)sopnamsp.h zthread.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)timing.o: timing.c timing.h
+	$(CCOMPILE) -o $@ $<
+ 
